net.sf.jasperreports.components.map

## Class StandardItemData

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardItemData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ItemData, JRChangeEventsSupport, JRCloneable

      public class StandardItemData
      extends java.lang.Object
      implements java.io.Serializable, ItemData, JRChangeEventsSupport

  Version:
    $Id: StandardItemData.java 6024 2013-03-25 14:12:50Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DATASET`
    `static java.lang.String` | `PROPERTY_ITEMS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardItemData()`
    `StandardItemData(ItemData data, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(int index, Item item)`
    `void` | `addItem(Item item)`
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRElementDataset` | `getDataset()` Returns the dataset information that will be used by the `ItemData` object.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.util.List<Item>` | `getItems()` Returns a list of `Item` objects.
    `Item` | `removeItem(Item item)`
    `void` | `setDataset(JRElementDataset dataset)` Sets the dataset information that will be used to create the item list.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ITEMS

          public static final java.lang.String PROPERTY_ITEMS

      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET

          public static final java.lang.String PROPERTY_DATASET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardItemData

          public StandardItemData()

    - #### StandardItemData

          public StandardItemData(ItemData data,
                          JRBaseObjectFactory factory)

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

    - #### getItems

          public java.util.List<Item> getItems()

      Description copied from interface: `ItemData`
      Returns a list of `Item` objects. Each item in the list provides a collection of item properties.
      Specified by:
        `getItems` in interface `ItemData`
      Returns:
        a list of items
      See Also:
        `Item`, `ItemProperty`

    - #### addItem

          public void addItem(Item item)

    - #### addItem

          public void addItem(int index,
                     Item item)

    - #### removeItem

          public Item removeItem(Item item)

    - #### getDataset

          public JRElementDataset getDataset()

      Description copied from interface: `ItemData`
      Returns the dataset information that will be used by the `ItemData` object.

      This information is required either to use the main dataset or to instantiate a subdataset from the report. The data produced by the subdataset is fed to the items list.

      Specified by:
        `getDataset` in interface `ItemData`
      Returns:
        the dataset
      See Also:
        `JRElementDataset`

    - #### setDataset

          public void setDataset(JRElementDataset dataset)

      Sets the dataset information that will be used to create the item list.
      Parameters:
        `dataset` - the dataset information
      See Also:
        `getDataset()`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com